---
title: validityState.badInput
slug: Web/API/ValidityState/badInput
tags:
  - API
  - Constraints API
  - HTML DOM
  - Property
  - Read-only
  - ValidityState
---
<p>{{APIRef("HTML DOM")}}</p>

<p>The read-only <strong><code>badInput</code></strong> property of a <a href="/en-US/docs/Web/API/ValidityState">ValidityState</a> object indicates if the user has provided input that the browser is unable to convert. For example, if you have a number input element whose content is a string. <em><strong>Note:</strong> While this is unsupported in Internet Explorer, any non-numeric value will be dismissed from the field if it is a number input.</em></p>

<h2 id="Example">Example</h2>

<pre class="brush: html">&lt;input type="number" id="age"&gt;</pre>

<pre class="brush: js">var input = document.getElementById("age");
if (input.validity.badInput) {
  console.log("Bad input detected…");
} else {
  console.log("Content of input ok.");
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('HTML WHATWG', 'constraints.html#dom-validitystate-badinput', 'ValidityState.badInput') }}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Live Standard</td>
  </tr>
  <tr>
   <td>{{ SpecName('HTML5.1', 'sec-forms.html#dom-validitystate-badinput', 'ValidityState.badInput') }}</td>
   <td>{{Spec2('HTML5.1')}}</td>
   <td>No change from the previous snapshot {{SpecName('HTML5 W3C')}}.</td>
  </tr>
  <tr>
   <td>{{ SpecName('HTML5 W3C', 'forms.html#dom-validitystate-badinput', 'ValidityState.badInput') }}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>First snapshot of  {{SpecName('HTML WHATWG')}} containing this interface.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ValidityState.badInput")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/HTML/HTML5/Constraint_validation">Guide: Constraint validation</a></li>
 <li><a href="/en-US/docs/Learn/HTML/Forms/Form_validation">Tutorial: Form data validation</a></li>
</ul>
